
27th September 2006, 16:41
|
|
Senior Member
|
|
Join Date: Jun 2006
Location: Munic
Posts: 308
Thanks: 14
Thanked 5 Times in 3 Posts
|
|
Thunderbird + Courier + sassl
I have use The Perfect Setup - Debian Sarge (3.1) use and ISPConfig.
I can recieve emails from webmail and send .
Thunderbird recive emails and can't send mail.
When I do connect to Server Login failed
Logfile mail.log
PHP Code:
Sep 27 16:26:33 localhost postfix/smtpd[18186]: connect from pd95b4b73.dip0.t-ipconnect.de[217.91.75.112]
Sep 27 16:26:37 localhost postfix/smtpd[18186]: warning: SASL authentication failure: Password verification failed
Sep 27 16:26:37 localhost postfix/smtpd[18186]: warning: pd95b4b73.dip0.t-ipconnect.de[217.91.75.112]: SASL PLAIN authentication failed
Sep 27 16:26:38 localhost postfix/smtpd[18186]: warning: pd95b4b73.dip0.t-ipconnect.de[217.91.75.112]: SASL LOGIN authentication failed
Sep 27 16:26:41 localhost postfix/smtpd[18186]: warning: SASL authentication failure: Password verification failed
Sep 27 16:26:41 localhost postfix/smtpd[18186]: warning: pd95b4b73.dip0.t-ipconnect.de[217.91.75.112]: SASL PLAIN authentication failed
Sep 27 16:26:42 localhost postfix/smtpd[18186]: warning: pd95b4b73.dip0.t-ipconnect.de[217.91.75.112]: SASL LOGIN authentication failed
Sep 27 16:26:45 localhost postfix/smtpd[18186]: warning: SASL authentication failure: Password verification failed
Sep 27 16:26:45 localhost postfix/smtpd[18186]: warning: pd95b4b73.dip0.t-ipconnect.de[217.91.75.112]: SASL PLAIN authentication failed
Sep 27 16:26:46 localhost postfix/smtpd[18186]: warning: pd95b4b73.dip0.t-ipconnect.de[217.91.75.112]: SASL LOGIN authentication failed
Sep 27 16:26:53 localhost courierpop3login: Connection, ip=[::ffff:217.91.75.112]
Sep 27 16:26:54 localhost courierpop3login: LOGIN, user=web34_adm, ip=[::ffff:217.91.75.112]
Sep 27 16:26:55 localhost courierpop3login: LOGOUT, user=web34_adm, ip=[::ffff:217.91.75.112], top=0, retr=0, time=1
The Password is korect and here whats
PHP Code:
m:~# telnet localhost 25
Trying 127.0.0.1...
Connected to localhost.localdomain.
Escape character is '^]'.
220 myserver.de ESMTP Postfix (Debian/GNU)
ehlo localhost
250-myserver.de
250-PIPELINING
250-SIZE 10240000
250-VRFY
250-ETRN
250-AUTH LOGIN PLAIN
250-AUTH=LOGIN PLAIN
250 8BITMIME
|

28th September 2006, 21:20
|
|
Super Moderator
|
|
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,665
Thanks: 1,896
Thanked 2,593 Times in 2,444 Posts
|
|
Quote:
|
Originally Posted by planet_fox
The Password is korect and here whats
PHP Code:
m:~# telnet localhost 25
Trying 127.0.0.1...
Connected to localhost.localdomain.
Escape character is '^]'.
220 myserver.de ESMTP Postfix (Debian/GNU)
ehlo localhost
250-myserver.de
250-PIPELINING
250-SIZE 10240000
250-VRFY
250-ETRN
250-AUTH LOGIN PLAIN
250-AUTH=LOGIN PLAIN
250 8BITMIME
|
Are you sure you followed the "Perfect Setup" as close as possible? For example, I don't see a STARTTLS line in the telnet output, so you must have done something differently from the tutorial.
Please compare your /etc/default/saslauthd and /etc/init.d/saslauthd with the ones from the tutorial.
|

28th September 2006, 23:47
|
|
Senior Member
|
|
Join Date: Jun 2006
Location: Munic
Posts: 308
Thanks: 14
Thanked 5 Times in 3 Posts
|
|
this is in my /etc/default/saslauthd and /etc/init.d/saslauthd
PHP Code:
# This needs to be uncommented before saslauthd will be run automatically
START=yes
PARAMS="-m /var/spool/postfix/var/run/saslauthd -r"
# You must specify the authentication mechanisms you wish to use.
# This defaults to "pam" for PAM support, but may also include
# "shadow" or "sasldb", like this:
# MECHANISMS="pam shadow"
MECHANISMS="pam"
|

29th September 2006, 10:42
|
|
Super Moderator
|
|
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 31,900
Thanks: 693
Thanked 4,191 Times in 3,209 Posts
|
|
Have you started sasl by running:
/etc/init.d/saslauthd start
If this wont help, please post the content of your /etc/postfix/main.cf, comments stripped.
|

29th September 2006, 14:48
|
|
Super Moderator
|
|
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,665
Thanks: 1,896
Thanked 2,593 Times in 2,444 Posts
|
|
Quote:
|
Originally Posted by planet_fox
this is in my /etc/default/saslauthd and /etc/init.d/saslauthd
PHP Code:
# This needs to be uncommented before saslauthd will be run automatically
START=yes
PARAMS="-m /var/spool/postfix/var/run/saslauthd -r"
# You must specify the authentication mechanisms you wish to use.
# This defaults to "pam" for PAM support, but may also include
# "shadow" or "sasldb", like this:
# MECHANISMS="pam shadow"
MECHANISMS="pam"
|
You have this in /etc/default/saslauthd AND in /etc/init.d/saslauthd?
|

29th September 2006, 22:17
|
|
Senior Member
|
|
Join Date: Jun 2006
Location: Munic
Posts: 308
Thanks: 14
Thanked 5 Times in 3 Posts
|
|
here is main.cf
PHP Code:
# See /usr/share/postfix/main.cf.dist for a commented, more complete version
smtpd_banner = $myhostname ESMTP $mail_name (Debian/GNU)
biff = no
# appending .domain is the MUA's job.
append_dot_mydomain = no
# Uncomment the next line to generate "delayed mail" warnings
#delay_warning_time = 4h
myhostname = myserver.de
alias_maps = hash:/etc/aliases
alias_database = hash:/etc/aliases
relayhost =
mynetworks = 11.135.6.333, 127.0.0.0/8
mailbox_size_limit = 0
recipient_delimiter = +
inet_interfaces = all
smtpd_sasl_local_domain =
smtpd_sasl_auth_enable = yes
smtpd_sasl_security_options = noanonymous
broken_sasl_auth_clients = yes
smtpd_tls_auth_only = no
smtp_use_tls = yes
smtp_tls_note_starttls_offer = yes
smtpd_tls_key_file = /etc/postfix/ssl/smtpd.key
smtpd_tls_cert_file = /etc/postfix/ssl/smtpd.crt
smtpd_tls_CAfile = /etc/postfix/ssl/cacert.pem
smtpd_tls_loglevel = 1
smtpd_tls_received_header = yes
smtpd_tls_session_cache_timeout = 3600s
tls_random_source = dev:/dev/urandom
home_mailbox = Maildir/
mailbox_command =
broken_sasl_auth_clients = yes
virtual_maps = hash:/etc/postfix/virtusertable
mydestination = /etc/postfix/local-host-names
inet_interfaces = all
reject_code = 550
####################################
#Postgresy#
#################################
smtpd_recipient_restrictions = permit_sasl_authenticated,permit_mynetworks,reject_unauth_destination,check_policy_service inet:127.0.0.1:$
##########
#Amavis
###########
content_filter = amavis:[127.0.0.1]:10024
receive_override_options = no_address_mappings
#########################
|

29th September 2006, 22:36
|
|
Senior Member
|
|
Join Date: Jun 2006
Location: Munic
Posts: 308
Thanks: 14
Thanked 5 Times in 3 Posts
|
|
I have this in /etc/init.d/saslauthd
You want this line ?
PIDFILE="/var/spool/postfix/var/run/${NAME}/saslauthd.pid"
PHP Code:
#!/bin/sh -e
NAME=saslauthd
DAEMON="/usr/sbin/${NAME}"
DESC="SASL Authentication Daemon"
DEFAULTS=/etc/default/saslauthd
PWDIR=/var/run/saslauthd
PIDFILE="/var/spool/postfix/var/run/${NAME}/saslauthd.pid"
createdir() {
# $1 = user
# $2 = group
# $3 = permissions (octal)
# $4 = path to directory
[ -d "$4" ] || mkdir -p "$4"
chown -c -h "$1:$2" "$4"
chmod -c "$3" "$4"
}
test -f "${DAEMON}" || exit 0
# Source defaults file; edit that file to configure this script.
if [ -e "${DEFAULTS}" ]; then
. "${DEFAULTS}"
fi
# If we're not to start the daemon, simply exit
if [ "${START}" != "yes" ]; then
exit 0
fi
# If we have no mechanisms defined
if [ "x${MECHANISMS}" = "x" ]; then
echo "You need to configure ${DEFAULTS} with mechanisms to be used"
exit 0
fi
# Add our mechanimsms with the necessary flag
PARAMS="${PARAMS} -a ${MECHANISMS}"
START="--start --quiet --pidfile ${PIDFILE} --startas ${DAEMON} --name ${NAME} -- ${PARAMS}"
# Consider our options
case "${1}" in
start)
echo -n "Starting ${DESC}: "
dir=`dpkg-statoverride --list $PWDIR`
test -z "$dir" || createdir $dir
if start-stop-daemon ${START} >/dev/null 2>&1 ; then
echo "${NAME}."
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(failed)."
exit 1
else
echo "${DAEMON} already running."
exit 0
fi
fi
;;
stop)
echo -n "Stopping ${DESC}: "
if start-stop-daemon --stop --quiet --pidfile "${PIDFILE}"
--startas ${DAEMON} --retry 10 --name ${NAME}
>/dev/null 2>&1 ; then
echo "${NAME}."
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(not running)."
exit 0
else
echo "(failed)."
exit 1
fi
fi
;;
restart|force-reload)
$0 stop
exec $0 start
;;
exit 1
else
echo "${DAEMON} already running."
exit 0
fi
fi
;;
stop)
echo -n "Stopping ${DESC}: "
if start-stop-daemon --stop --quiet --pidfile "${PIDFILE}"
--startas ${DAEMON} --retry 10 --name ${NAME}
>/dev/null 2>&1 ; then
echo "${NAME}."
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(not running)."
exit 0
else
echo "(failed)."
exit 1
fi
fi
;;
restart|force-reload)
$0 stop
exec $0 start
;;
*)
echo "Usage: /etc/init.d/${NAME} {start|stop|restart|force-reload}" >&2
exit 1
;;
esac
exit 0
|

29th September 2006, 22:39
|
|
Senior Member
|
|
Join Date: Jun 2006
Location: Munic
Posts: 308
Thanks: 14
Thanked 5 Times in 3 Posts
|
|
PHP Code:
myserver:/home/foo# ps ax|grep sasl
22460 ? Ss 0:00 /usr/sbin/saslauthd -m /var/spool/postfix/var/run/saslauthd -r -a pam
22461 ? S 0:00 /usr/sbin/saslauthd -m /var/spool/postfix/var/run/saslauthd -r -a pam
22462 ? S 0:00 /usr/sbin/saslauthd -m /var/spool/postfix/var/run/saslauthd -r -a pam
22463 ? S 0:00 /usr/sbin/saslauthd -m /var/spool/postfix/var/run/saslauthd -r -a pam
22464 ? S 0:00 /usr/sbin/saslauthd -m /var/spool/postfix/var/run/saslauthd -r -a pam
22527 pts/0 R+ 0:00 grep sasl
|

29th September 2006, 23:06
|
|
Senior Member
|
|
Join Date: Jun 2006
Location: Munic
Posts: 308
Thanks: 14
Thanked 5 Times in 3 Posts
|
|
and I have don't understand in falco Howto Postfix what I do when I use ISP config in this file. Is a Problem ?
/etc/postfix/sasl/smtpd.conf
PHP Code:
pwcheck_method: saslauthd
mech_list: plain login
allow_plaintext: true
auxprop_plugin: mysql
sql_hostnames: 127.0.0.1
#sql_user: mail_admin
#sql_passwd: mail_admin_password
#sql_database: mail
#sql_select: select password from users where email = '%u'
I don't is wrong when I install with perfect debian how to and install ISP config install and than I have do this howto
Virtual Users And Domains With Postfix, Courier And MySQL from Falco
And I must BBig Thanks say to you for help all days !!!
|

30th September 2006, 00:14
|
|
Senior Member
|
|
Join Date: Jun 2006
Location: Munic
Posts: 308
Thanks: 14
Thanked 5 Times in 3 Posts
|
|
Oh I have do this
cat /var/log/auth.log
is this the problem, and what must I type for the sql data in /etc/postfix/sasl/smtp.conf
PHP Code:
Sep 30 00:11:34 localhost postfix/smtpd[4888]: sql_select option missing
Sep 30 00:11:34 localhost postfix/smtpd[4888]: auxpropfunc error no mechanism available
Sep 30 00:11:34 localhost postfix/smtpd[4888]: _sasl_plugin_load failed on sasl_auxprop_plug_init for plugin: sql
Sep 30 00:11:35 localhost saslauthd[4652]: pam_mysql: MySQL err Access denied for user 'mail_admin'@'localhost.localdomain' (using password: YES)
Sep 30 00:11:35 localhost saslauthd[4652]: DEBUG: auth_pam: pam_authenticate failed: Authentication failure
Sep 30 00:11:35 localhost saslauthd[4652]: do_auth : auth failure: [user=adm@myserver.de] [service=smtp] [realm=myserver.de] [mech=pam] [reason=PAM auth error]
Sep 30 00:11:36 localhost saslauthd[4653]: pam_mysql: MySQL err Access denied for user 'mail_admin'@'localhost.localdomain' (using password: YES)
Sep 30 00:11:36 localhost saslauthd[4653]: DEBUG: auth_pam: pam_authenticate failed: Authentication failure
Sep 30 00:11:36 localhost saslauthd[4653]: do_auth : auth failure: [user=adm@myserver.de] [service=smtp] [realm=myserver.de] [mech=pam] [reason=PAM auth error]
Sep 30 00:11:37 localhost saslauthd[4649]: pam_mysql: MySQL err Access denied for user 'mail_admin'@'localhost.localdomain' (using password: YES)
Sep 30 00:11:37 localhost saslauthd[4649]: DEBUG: auth_pam: pam_authenticate failed: Authentication failure
Sep 30 00:11:37 localhost saslauthd[4649]: do_auth : auth failure: [user=adm@myserver.de] [service=smtp] [realm=myserver.de] [mech=pam] [reason=PAM auth error]
|
| Thread Tools |
|
|
| Display Modes |
Linear Mode
|
Posting Rules
|
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts
HTML code is Off
|
|
|
All times are GMT +2. The time now is 18:03.
|
|
Recent comments
12 hours 15 min ago
18 hours 56 min ago
22 hours 47 min ago
1 day 26 min ago
1 day 8 hours ago
1 day 18 hours ago
1 day 19 hours ago
1 day 22 hours ago
2 days 3 hours ago
2 days 3 hours ago